<?php
class SCompareMustBeValidator extends CValidator
{
	/**
	 * @var string the name of the attribute to be compared with
	 */
	public $compareAttribute;
	/**
	 * @var string the constant value to be compared with
	 */
	public $compareValue;

	public $mustBeValue;

	/**
	 * Validates the attribute of the object.
	 * If there is any error, the error message is added to the object.
	 * @param CModel the object being validated
	 * @param string the attribute being validated
	 */
	protected function validateAttribute($object,$attribute){
		$value=$object->$attribute;
		$compareAttribute=$this->compareAttribute;
		$valueAttribute=$object->$compareAttribute;
		if($valueAttribute==$this->compareValue){
			if($value!=$this->mustBeValue){
				$message=$this->message!==null?$this->message:Yii::t('yii','{attribute} must be '.$this->mustBeValue.'.');
				$this->addError($object,$attribute,$message);
			}
		}
	}
}
?>